//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#![deny(warnings)]
#![allow(dead_code)]
#![allow(clippy::new_without_default)]

pub mod s5;
pub mod simu;

pub type ApplicationWindow = simu::Window;

fn populate_window(window: &mut ApplicationWindow) {
    use std::f64::consts::PI;
    let mut rng = s5::Rng::new();
    for i in 0..16 {
        //~~~~ determine initial state ~~~~
        let size = window.size();
        let kinetics = s5::KineticState {
            x: rng.gen_real(0.0, size.w),
            y: rng.gen_real(0.0, size.h),
            angle: rng.gen_real(0.0, 2.0 * PI),
            x_speed: rng.gen_sign() * rng.gen_real(50.0, 100.0),
            y_speed: rng.gen_sign() * rng.gen_real(50.0, 100.0),
            angular_speed: rng.gen_sign() * rng.gen_real(PI / 6.0, PI / 2.0),
        };
        let color = rng.gen_color();
        let side = rng.gen_real(50.0, 100.0);

        let _unused = (i, kinetics, color, side); // FIXME: remove
    }
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
