//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

use crate::s5;

pub struct Window {
    size: s5::Rect,
}

impl Window {
    pub fn new(size: s5::Rect) -> Self {
        Self { size }
    }

    pub fn size(&self) -> &s5::Rect {
        &self.size
    }

    pub fn resize(
        &mut self,
        size: s5::Rect,
    ) {
        self.size = size;
    }

    pub fn redraw(
        &self,
        screen: &mut s5::Screen,
    ) {
        screen.clear(s5::Color {
            r: 100,
            g: 100,
            b: 100,
        });
    }

    pub fn animate(
        &mut self,
        dt: f64,
    ) {
        let _unused = dt; // FIXME: remove
    }

    pub fn click(
        &mut self,
        mouse: s5::Point,
    ) {
        println!("click at {:?}", mouse);
    }
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
